Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
Species Class Reference

Contains data about a single chemical species. More...

`#include <Species.h>`

Collaboration diagram for Species:
[legend]

## Public Member Functions
| Species (const std::string &name, const compositionMap &comp, double charge=0.0, double size=1.0)
| Constructor. More...
| Species (const Species &)=delete
| Species objects are not copyable or assignable. More...
Species & | operator= (const Species &other)=delete
AnyMap | parameters (const ThermoPhase *phase=0, bool withInput=true) const

## Public Attributes
std::string | name
| The name of the species. More...
compositionMap | composition
| The elemental composition of the species. More...
double | charge
| The electrical charge on the species, in units of the elementary charge. More...
double | size
| The effective size of the species. More...
shared_ptr< TransportData > | transport
shared_ptr< SpeciesThermoInterpType > | thermo
| Thermodynamic data for the species. More...
AnyMap | input
| Input parameters used to define a species, for example from a YAML input file. More...

## Detailed Description

Contains data about a single chemical species.

This class stores the data about a species which may be needed to add it to a ThermoPhase or Transport object.

Definition at line 25 of file Species.h.

## Constructor & Destructor Documentation

## ◆ Species() [1/3]

Species | ( |  | ) |

Definition at line 19 of file Species.cpp.

## ◆ Species() [2/3]

Species | ( | const std::string & | name,
|  | const compositionMap & | comp,
|  | double | charge = `0.0`,
|  | double | size = `1.0`
| ) |  |

Constructor.

Definition at line 25 of file Species.cpp.

## ◆ Species() [3/3]

Species | ( | const Species & |  | ) |
| delete

Species objects are not copyable or assignable.

## ◆ ~Species()

~Species | ( |  | ) |

Definition at line 34 of file Species.cpp.

## Member Function Documentation

## ◆ parameters()

AnyMap parameters | ( | const ThermoPhase * | phase = `0`,
|  | bool | withInput = `true`
| ) |  | const

Definition at line 38 of file Species.cpp.

## Member Data Documentation

## ◆ name

std::string name

The name of the species.

Definition at line 42 of file Species.h.

Referenced by VPStandardStateTP::installPDSS(), and GasTransportData::validate().

## ◆ composition

compositionMap composition

The elemental composition of the species.

Keys are element names; values are the corresponding atomicities.

Definition at line 46 of file Species.h.

Referenced by GasTransportData::validate().

## ◆ charge

double charge

The electrical charge on the species, in units of the elementary charge.

Definition at line 49 of file Species.h.

## ◆ size

double size

The effective size of the species.

Currently used only for surface species, where it represents the number of sites occupied.

Definition at line 53 of file Species.h.

## ◆ transport

shared_ptr<TransportData> transport

Definition at line 55 of file Species.h.

## ◆ thermo

shared_ptr<SpeciesThermoInterpType> thermo

Thermodynamic data for the species.

Definition at line 58 of file Species.h.

Referenced by VPStandardStateTP::installPDSS().

## ◆ input

AnyMap input

Input parameters used to define a species, for example from a YAML input file.

Definition at line 61 of file Species.h.

The documentation for this class was generated from the following files:

- Species.h
- Species.cpp